summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-07-03 01:40:21 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-07-03 01:40:21 +0000
commit0cc3a368de8f4138484dbedceb97bf824cd39292 (patch)
tree134424479c9da67f14060ab5485e3045a97d1a79 /dev-python
parent4d9966515980e9e165fd449bcab773534a1cf54a (diff)
downloadbaldeagleos-repo-0cc3a368de8f4138484dbedceb97bf824cd39292.tar.gz
baldeagleos-repo-0cc3a368de8f4138484dbedceb97bf824cd39292.tar.xz
baldeagleos-repo-0cc3a368de8f4138484dbedceb97bf824cd39292.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Faker/Faker-8.9.1.ebuild28
-rw-r--r--dev-python/Faker/Manifest1
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.17.105.ebuild56
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.20.105.ebuild59
-rw-r--r--dev-python/configargparse/Manifest1
-rw-r--r--dev-python/configargparse/configargparse-1.5.1.ebuild32
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.14.1.ebuild62
-rw-r--r--dev-python/nuitka/Manifest1
-rw-r--r--dev-python/nuitka/nuitka-0.6.16.2.ebuild48
-rw-r--r--dev-python/pycurl-requests/Manifest1
-rw-r--r--dev-python/pycurl-requests/metadata.xml4
-rw-r--r--dev-python/pycurl-requests/pycurl-requests-0.2.1.ebuild32
-rw-r--r--dev-python/pytest-rerunfailures/Manifest1
-rw-r--r--dev-python/pytest-rerunfailures/pytest-rerunfailures-10.1.ebuild22
-rw-r--r--dev-python/python-xlib/Manifest1
-rw-r--r--dev-python/python-xlib/python-xlib-0.31.ebuild38
19 files changed, 390 insertions, 0 deletions
diff --git a/dev-python/Faker/Faker-8.9.1.ebuild b/dev-python/Faker/Faker-8.9.1.ebuild
new file mode 100644
index 000000000000..b9fd92931d21
--- /dev/null
+++ b/dev-python/Faker/Faker-8.9.1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="https://github.com/joke2k/faker"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND=">=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ >=dev-python/text-unidecode-1.3[${PYTHON_USEDEP}]
+ !dev-ruby/faker"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/random2[${PYTHON_USEDEP}]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index bc437b772f65..7b493ce8afd7 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -1,2 +1,3 @@
DIST Faker-8.8.2.tar.gz 1148529 BLAKE2B 279984479ad4f790dc7acd74b5ccd1cf5f32689b8b1ccf2152d7dfaa6fc7b4699d9827c16f83bb86e298723b6906a5cc40c2fa7f75439b5af5fc78c1af99a3f6 SHA512 4273008bf9ab693a40da2f93ff1fe40e9e7b102a2d5439f09096b6754b82dc26310666da65723b363f628365c97d44dd290e1e7065b7a9d862130baa292325b7
DIST Faker-8.9.0.tar.gz 1148829 BLAKE2B b24a7fa87886cb38850808de2ffe1ceafab3c548c694af30d53b1f415d329264fe7e53f33f46b913d16310dd83d95fe591689a308bb7d4c653254e39defaa24b SHA512 d2e26ae140c30ae8069f8e0fd75bb9bf54aa00a7271b327e37dd248520256e137d192082071bc36a584fc864c54c050107ddecb40624288636c6b41caf1ea574
+DIST Faker-8.9.1.tar.gz 1148890 BLAKE2B 2cab6461bf6067d9dfd8872c19c8c11fa25ffef82b61b7e7676ffc187346d228703424a73278678f19263423716c74ecd47cfc1c17bf54d38bba712e456650b8 SHA512 f7016b320c7394b0eccc06e833a80e227cdbad9c0f34eb9f8f4413f56a4743f58bbd7ec5eac3b8c0642e7764c6c5986707d493f0c84daa75575a12061631c9c5
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index a4fef5653513..41e6f15a1d01 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -1,2 +1,3 @@
DIST boto3-1.17.104.tar.gz 387800 BLAKE2B 928824ab0a0c091fec430c5d86b0c5663f2a98042a76311588463f36f48a6bd9641fd25e07b63ad50afcb3ea9bfea0b5f3304e3c2689a2187198aac04549346c SHA512 477033e623476fa1e2e49cdb788f204ac49230088788cbae3f079de4561e7bbe56bb3b170480592a0ce056fcd2ea0cb3f14b4f5091279f46346465853a191829
+DIST boto3-1.17.105.tar.gz 387920 BLAKE2B 475342a93440418f6fc5682e7c24f386aaac8dc91e670e8c6ab7f949fb8557c97ca0f7e7929128742c3b1091cda2a42e0f1212528f8fb1c7ce1a6dcc3aea18c4 SHA512 a044f0a61f8ebea58f7ebbe670b4f0ba94f6c3abe69857340908be780e1cae5f5f3ce892ba16af44df62542883d30b93a9b42830123dd3fb31998ae8c642e1b4
DIST boto3-1.17.97.tar.gz 383223 BLAKE2B 1a1b4e9f2c51d830762f27cf3e30038efb88322e300ac304d1cb88d5b7efc6af35ad9810cea7292c9807dcdfedb11ba039ee6d5dbb9162f2a1c6d6936ef75bcc SHA512 e74a59763cc9b8a51fd09121a790d29a7291d9380d4451c2e6af90902f18415a3780eeea7f7d63e052b295792b92c3cdd3b8597f7013241ebbbdb7e418cf73ce
diff --git a/dev-python/boto3/boto3-1.17.105.ebuild b/dev-python/boto3/boto3-1.17.105.ebuild
new file mode 100644
index 000000000000..8e0f2cecffd7
--- /dev/null
+++ b/dev-python/boto3/boto3-1.17.105.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # prevent an infinite loop
+ rm tests/functional/docs/test_smoke.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests -v tests/unit/ tests/functional/ || die "test failed under ${EPYTHON}"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 1f3afe26583c..3795b66e74c5 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -1,2 +1,3 @@
DIST botocore-1.20.104.tar.gz 7883624 BLAKE2B 4fb4c6abff5a2c3d3e19b11576e723f15a442b2d49e461a2a4c2bd613e26095ceb87f4b7ceb672f338ea04ad918060bed118f7bc4c184c46cce1d6a9f98d4239 SHA512 2201d87ce2e1c8979548698d6a46eb03c0a2026360b178fea895ad6a244efad534d9970d3c6343d50639d25b3b8643db6744658fec14e0fa29fd7c4b45c8e0d8
+DIST botocore-1.20.105.tar.gz 7883335 BLAKE2B b48347e304ea54b56a37faae8bcbe9c127118b5bfadc71ffff3f6914b57f4d819faaadfc25834e49c9523f073f639823db4046bcbd9b5b72ee1df4c2ad198338 SHA512 72267620e4ecb7e4e4fa446b8f5c0b42d2e0af372f9e8bcfea123e5d8a6f4638102d57a9eb9f3c6f2358c6c2b36e727552c0b350b07f95a79292fb3c2cf4dd99
DIST botocore-1.20.97.tar.gz 7846552 BLAKE2B da0355cc229ba8a0632f67866bf06b27d7b257184b53670e5dc183c6b5a1f4d3a34145de0a3f04abd2adc08de3f0775e3c7e0dbecae729acb5bc05c7ce9acaf2 SHA512 7411d5de8ecf0c42c0142ded036189dcf378cd16f761071beb5bc2a2c240eabb0c4a8c669ce89a5b4e798a0aae92f0e67755627c2a84df77fc2e9557265a4e3b
diff --git a/dev-python/botocore/botocore-1.20.105.ebuild b/dev-python/botocore/botocore-1.20.105.ebuild
new file mode 100644
index 000000000000..5684261bd4b3
--- /dev/null
+++ b/dev-python/botocore/botocore-1.20.105.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+ # very unstable
+ sed -i -e 's:test_stress_test_token_bucket:_&:' \
+ tests/functional/retries/test_bucket.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # note: suites need to be run separately as one of the unit tests
+ # seems to be leaking mocks and breaking a few functional tests
+ nosetests -v tests/unit ||
+ die "unit tests failed under ${EPYTHON}"
+ nosetests -v tests/functional ||
+ die "functional tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/configargparse/Manifest b/dev-python/configargparse/Manifest
index 034348fd353a..0056f4aa6ddc 100644
--- a/dev-python/configargparse/Manifest
+++ b/dev-python/configargparse/Manifest
@@ -1,2 +1,3 @@
DIST ConfigArgParse-1.4.1.gh.tar.gz 30343 BLAKE2B 8aaed3b0e85b4006c04e7910c6f7ae2c2a07d586ade777eedf078afeea4561a4504614484316afd9d234b2871c0cc45ef47f30254797f9df260373309cf67927 SHA512 304d5981c5685188edb22a63966d25a8943e4c443f2aefc323492f141885f50657e9f9200514df65683f1e13e64173d4def80cdbebcff941c3ee66ff4af0cbd4
+DIST ConfigArgParse-1.5.1.gh.tar.gz 32245 BLAKE2B 9df80b4f0b12b3777311193c454dd010ce60dd9ceb702c99c1d8ac56575c615e77039910f3b412a176c9c229b88fa8937b052076d0cde2307ecc07f3337d064a SHA512 2c3854a45d97f0352321d2442a30408248e990dd46e2515cd7e2576efe9a33e03495231f8397ba6e3d79bb04bf11edfe5930b4765d46f29ca66b7bb3d3c1e0c9
DIST ConfigArgParse-1.5.gh.tar.gz 30375 BLAKE2B 8a3c0091dc4049e9f84eb6209f7a62cafab0c0357d4d17304520b2855d60cdb68e63607068612bc99b07709f1fde4b0a3f11dbf4e45087968eab901d2b20b79f SHA512 82121fa6e8f734898674220b888dd3670368389a5cbd40e87d9188fa55d4378fdf480cc7dc003a4b9eadc1951fa8fc6141e9c0b079321cfe70c64bebacfb8944
diff --git a/dev-python/configargparse/configargparse-1.5.1.ebuild b/dev-python/configargparse/configargparse-1.5.1.ebuild
new file mode 100644
index 000000000000..0d16436d3e17
--- /dev/null
+++ b/dev-python/configargparse/configargparse-1.5.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+MY_PN="ConfigArgParse"
+MY_P="${MY_PN}-${PV}"
+DESCRIPTION="Drop-in replacement for argparse supporting config files and env variables"
+HOMEPAGE="
+ https://github.com/bw2/ConfigArgParse/
+ https://pypi.org/project/ConfigArgParse/"
+SRC_URI="
+ https://github.com/bw2/ConfigArgParse/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+BDEPEND="
+ test? ( dev-python/pyyaml[${PYTHON_USEDEP}] )"
+
+distutils_enable_tests unittest
+
+src_test() {
+ local -x COLUMNS=80
+ distutils-r1_src_test
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 58e966f33120..25778e7dfb3a 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -1,3 +1,4 @@
DIST hypothesis-python-6.10.1.tar.gz 9126246 BLAKE2B cc8cb3436d1de5d3d65a13cb5edefdbaae8bf9daed296eea9111ac46c002c34f43119f10b2ab1f45c5cbca5fe46d00738676290eb0e8437f2c10b5926d9e0915 SHA512 586b7f380cb850089f7d5321f11da92ef4a9b80e2ea925103e29c1f6c6c9da0a2a899a1a45ce77e0a40073f147561bc4fcbd5cb2ce77a9c0c65f6f64dfe4b716
DIST hypothesis-python-6.13.14.tar.gz 9134690 BLAKE2B 821fa0baa47dd896fc5ec61d0a96fec3da225dbc35306e6cf684641262c9ff0b714ca95aff69daca4bda551033a67d90b411f0cc2abff8edd41e5d749939344f SHA512 74397fd77e6e70df918e0fa605180e2bfd509fb26ef8b4a86020524611a315950073c3babd65bb2d2ff65d39e027bc52da88c0125f422cc2493076398e733853
DIST hypothesis-python-6.14.0.tar.gz 9135056 BLAKE2B 47d1efcee5e1c4037f1a20f08e3bc873fc143a2182bbde07e897812622c4d68923f78ac356bd97ef541566a27a874705eb2438747daaebe84f95fc2a2262bac1 SHA512 f7821449d3bf7f3656b52dad09027e40ea4af1779fcc7c0b995dac55843953fdab3f2ba69eb1b8de8258616f49cf8e5098c6a222d01071916c6f0c9fe184c80b
+DIST hypothesis-python-6.14.1.tar.gz 9135154 BLAKE2B 0fa62cf4b512acf433a94edd14b2bc4c2c86cdbcc95e4a2760a1914e85f1149d9a5db6b22222c4954d2db109d3bff877ca0e5e8ec6842ff5b3c794a211ea9b57 SHA512 b84776e2bfff130c4db7582defbe9bc55183d624b45defffebdc954ca8e1dda1dec78f921e1bc7839a1167c37bce693711cd500da547dc6f2a8fa610c0bd3540
diff --git a/dev-python/hypothesis/hypothesis-6.14.1.ebuild b/dev-python/hypothesis/hypothesis-6.14.1.ebuild
new file mode 100644
index 000000000000..01270134d6dc
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.14.1.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="https://github.com/HypothesisWorks/hypothesis https://pypi.org/project/hypothesis/"
+SRC_URI="https://github.com/HypothesisWorks/${PN}/archive/${PN}-python-${PV}.tar.gz"
+S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' python3_{7..9})
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!dev-python/pytest-describe
+ !!<dev-python/typing-3.7.4.1
+ )
+"
+
+distutils_enable_tests --install pytest
+
+python_prepare() {
+ if ! use cli || ! has "${EPYTHON}" python3.{7..9}; then
+ sed -i -e '/console_scripts/d' setup.py || die
+ fi
+}
+
+python_test() {
+ distutils_install_for_testing
+ epytest tests/cover tests/pytest tests/quality \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/nuitka/Manifest b/dev-python/nuitka/Manifest
index 8a28ba5afba1..c70cdf42c45e 100644
--- a/dev-python/nuitka/Manifest
+++ b/dev-python/nuitka/Manifest
@@ -2,4 +2,5 @@ DIST Nuitka-0.6.11.tar.gz 2582563 BLAKE2B e65c3a01f3283b24aadefc47a17a41ebae1162
DIST Nuitka-0.6.15.1.tar.gz 2712603 BLAKE2B 8e639b19975410143d1b91b4fb4f71c65bd1d9382c07d2f1f431c16b687954cec62c2e4dbe9bb1c6f6981dda1948a87040b2e300919dbe72c7d6bfd0772b73c2 SHA512 70bdb55ff4b57f06f67e3026c6a1fbeaa729e85f0a7e698ba0ab40c4acaebd31925327dd0f5fbf8187779421968bf29f9b0fbc2995193468411b40a1d30889e2
DIST Nuitka-0.6.15.3.tar.gz 2713332 BLAKE2B e8d61221839bb961cda14575aa1de5979510113a09b7e8df47aefbf8985b09f554b32210db9b91ca5f02593a11d7537adcdf0fd67d397b022623534bb25368c3 SHA512 960f2ef33aa2c4dcb6a86ed15b8d8fc8ca1c5f26a0dc98a925e8c0669599912f25d10e20f547d51d57c0a63a18e2f07fa45141666b740b3d8804014db5b89bb6
DIST Nuitka-0.6.15.tar.gz 2712097 BLAKE2B 78c43be4a2ef5678d7a0d6164d7cba2b3a67a738215915b001cdb3774e209fcecc167c52db4c3b22d87dde9169e48077875d09f8601df7c8b079e3d57b21aea6 SHA512 9a41e9b8fb3f51ec16dccd5415b3b7d7d201230fea6aff902931be1764ba65e1d5e4885cd772b4c1cb9f36b1b14a02a73351bc5c1b8e7f7bbb87e5d74aad16b4
+DIST Nuitka-0.6.16.2.tar.gz 2964589 BLAKE2B b8dd49b889ab0921b6bcf25528286c72591d12e470074482be2f2919394d7c7281d15f83fe1283731a45731a6164a72fb19afc5f55c7c7ef913487cadc6af105 SHA512 58fbd015cf14f947900ccb39a82a24ba8b2da6b65f41caa6bdaff89fe8b5b00977b2f0f3e2b9c2809db97539ecb59f2835ebc30eccd726d42b3fbb49cd90ca8c
DIST Nuitka-0.6.16.tar.gz 2891639 BLAKE2B 4d8b9c29115e333b7a876eed664c0ec7b2a9b25b00d35bfb163834579b28d6b1250b015eacced01e2c27cd9841fcc5d2a3b10c626a5c7fc098914e675e3732a6 SHA512 908ddbab62a085a478f09c18215fd9b457aa7fe926e5809cd25870665366660f59141b431346e4af6593e4bb0281d39103919c46435c158af6f2ba7c354c3834
diff --git a/dev-python/nuitka/nuitka-0.6.16.2.ebuild b/dev-python/nuitka/nuitka-0.6.16.2.ebuild
new file mode 100644
index 000000000000..20c8f712b514
--- /dev/null
+++ b/dev-python/nuitka/nuitka-0.6.16.2.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1 flag-o-matic optfeature
+
+DESCRIPTION="Python to native compiler"
+HOMEPAGE="https://www.nuitka.net"
+SRC_URI="https://nuitka.net/releases/${P^}.tar.gz"
+S="${WORKDIR}/${P^}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-util/scons[${PYTHON_USEDEP}]"
+BDEPEND="
+ ${RDEPEND}
+ test? ( dev-util/ccache )
+"
+
+DOCS=( Changelog.pdf Developer_Manual.pdf README.pdf )
+
+distutils-r1_src_prepare() {
+ # remove vendored version of SCons that is Python2 only
+ # this should be removed when upstream removes support for Python2
+ rm -vR "${S}/${PN}/build/inline_copy/lib/scons-2.3.2/SCons" || die
+ eapply_user
+}
+
+python_install() {
+ distutils-r1_python_install
+ python_optimize
+ doman doc/nuitka.1 doc/nuitka3.1 doc/nuitka3-run.1 doc/nuitka-run.1
+}
+
+python_test() {
+ append-ldflags -Wl,--no-warn-search-mismatch
+ ./tests/basics/run_all.py search || die
+}
+
+pkg_postinst() {
+ optfeature "support for stand-alone executables" app-admin/chrpath
+}
diff --git a/dev-python/pycurl-requests/Manifest b/dev-python/pycurl-requests/Manifest
index 3da4d1e9024e..46483f2bb1d2 100644
--- a/dev-python/pycurl-requests/Manifest
+++ b/dev-python/pycurl-requests/Manifest
@@ -1 +1,2 @@
DIST pycurl-requests-0.2.0.tar.gz 22962 BLAKE2B 9e28422e910ab88f2f6ace1684cd35a89eccde9eed9d63f48cb2d6f0caa30811016365fbbffc2bdd2dd8b05a3b248142a5822c092c9d40ebaabeed4ef068c659 SHA512 3bf091ff47e376a23f9046dbcc5631199da9434911d4140f5d09e5091b81f05c8cd8094528b7ac7d74f7a4b085a6dfd40bec81c66fde020a0680e2237b7af5b2
+DIST pycurl-requests-0.2.1.tar.gz 24133 BLAKE2B b5994985621096edb4ea16859fe80e2c83221e32145d2ab0a6cb414084de9966df8ff2fbd7b38250b0ee096fb2c7cf98d4632eca814365bcecc5f9d69462fe6a SHA512 83b1052c8f007282aa5a8763ec44b3434604dd0b0b025d2bad0e45117438afdc6d05c2cf94516bbe993eb65bd1dbfac182954c1ff3a641cdb767e8f22c505574
diff --git a/dev-python/pycurl-requests/metadata.xml b/dev-python/pycurl-requests/metadata.xml
index d6e890507b1b..29e7ada65f00 100644
--- a/dev-python/pycurl-requests/metadata.xml
+++ b/dev-python/pycurl-requests/metadata.xml
@@ -5,6 +5,10 @@
<email>chutzpah@gentoo.org</email>
<name>Patrick McLean</name>
</maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
<origin>gentoo-staging</origin>
<stabilize-allarches/>
diff --git a/dev-python/pycurl-requests/pycurl-requests-0.2.1.ebuild b/dev-python/pycurl-requests/pycurl-requests-0.2.1.ebuild
new file mode 100644
index 000000000000..82d21fb6d106
--- /dev/null
+++ b/dev-python/pycurl-requests/pycurl-requests-0.2.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Requests-compatible interface for PycURL"
+HOMEPAGE="https://github.com/dcoles/pycurl-requests"
+SRC_URI="https://github.com/dcoles/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/chardet[${PYTHON_USEDEP}]
+ dev-python/pycurl[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local deselect=(
+ # network-sandbox
+ pycurl_requests/tests/test_requests.py::test_get_connect_timeout
+ pycurl_requests/tests/test_requests.py::test_get_connect_timeout_urllib3
+ )
+
+ epytest ${deselect[@]/#/--deselect }
+}
diff --git a/dev-python/pytest-rerunfailures/Manifest b/dev-python/pytest-rerunfailures/Manifest
index c80efdcc2a6e..932c97610e5b 100644
--- a/dev-python/pytest-rerunfailures/Manifest
+++ b/dev-python/pytest-rerunfailures/Manifest
@@ -1,2 +1,3 @@
DIST pytest-rerunfailures-10.0.tar.gz 12706 BLAKE2B fb445acd6324a377258ebcd32255bd725dc78f2209990e5807a0553da259ffc101969b7572799efa5041ae68bcc264ab80581cf9d9943ab81d9b158a15dd71d5 SHA512 83270e18cc3f825c0e0184950a149899b99a2b46cfaa6ca1c82b7cf388144265831fc2b8b82ccebb5df57463219cb7e0b41f5beb049feedcba90ae6d48d1e05f
+DIST pytest-rerunfailures-10.1.tar.gz 13644 BLAKE2B 05b654128cbc94be803d15e038cdfcaa3879dbc43eb57dcf5cc3f5e52d0e4848a38b70048b32eb5afc99bcaec614abe6febfa95e4e8f7c7e07f6dc71dcdc3915 SHA512 9aa825c7fb1fb36edb78f1cdfc4a5f705e1688d00be0cd311e5cdf542698a2e03eed15b526235e2a35262000ce24923ea1049f3efa449c9a3723a2a5c1316717
DIST pytest-rerunfailures-9.1.1.tar.gz 12435 BLAKE2B b2118fe9460ebb750c72b05762d70cf53703e4c9982c6343ef02ebcec6630598ac98998ff994268b9108bd6850e71fd5b9cde1d0abb727d33fad238e9b26fa61 SHA512 875591306ab010494ccbb865ea6445ab37422fce9105260d9495215af44057210564aca4fed3b4765b5a30c1cbef120de716d15d10a6db91dcb7d9f5b4f3b102
diff --git a/dev-python/pytest-rerunfailures/pytest-rerunfailures-10.1.ebuild b/dev-python/pytest-rerunfailures/pytest-rerunfailures-10.1.ebuild
new file mode 100644
index 000000000000..9e76fad2ec79
--- /dev/null
+++ b/dev-python/pytest-rerunfailures/pytest-rerunfailures-10.1.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="pytest plugin to re-run tests to eliminate flaky failures"
+HOMEPAGE="https://pypi.org/project/pytest-rerunfailures/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MPL-2.0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+BDEPEND="
+ >=dev-python/pytest-5.0[${PYTHON_USEDEP}]
+ test? ( !!dev-python/flaky )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/python-xlib/Manifest b/dev-python/python-xlib/Manifest
index 223f83a26535..59b8a6f2b508 100644
--- a/dev-python/python-xlib/Manifest
+++ b/dev-python/python-xlib/Manifest
@@ -1 +1,2 @@
DIST python-xlib-0.30.tar.bz2 211256 BLAKE2B 979a004f6ff6ac933baa41623b346c8d1fa9944bc771308e3dd527de7ae6aebb8df0c5d269f21e7aca590ad7d3981d0deeb592981b0672c54b30ce286e650236 SHA512 52ee01cce73f024d6fdc995cff38ba9ff2838888aced12186a754c1760228f89209c1d6fc9d4fe0e371a4a43743f8fdfdef6ea32ea3feda5a85055897aaf887d
+DIST python-xlib-0.31.tar.bz2 211425 BLAKE2B c0a15b11c264942479c86088d8d5bdc0c759ae71df8939feee200ff58ec30d3b2c0a99a119cc56e5c32279b26517e7925cf9124a367dc7d32fcaf0be4f7cd41e SHA512 f98978cd0058ae18f08f9da71b4ff31cd7811040ec1eb03ce065c187f312259d674dd76aad447752c8f508e585838948c90182eef5d5240e6c06b0a5dd1fbd33
diff --git a/dev-python/python-xlib/python-xlib-0.31.ebuild b/dev-python/python-xlib/python-xlib-0.31.ebuild
new file mode 100644
index 000000000000..1fa802f3b101
--- /dev/null
+++ b/dev-python/python-xlib/python-xlib-0.31.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1 virtualx
+
+DESCRIPTION="A fully functional X client library for Python, written in Python"
+HOMEPAGE="https://github.com/python-xlib/python-xlib"
+SRC_URI="https://github.com/${PN}/${PN}/releases/download/${PV}/${P}.tar.bz2"
+
+LICENSE="LGPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE="doc"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+BDEPEND="${RDEPEND}
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ doc? ( sys-apps/texinfo )
+ test? ( dev-python/mock[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_tests unittest
+
+python_compile_all() {
+ use doc && emake -C doc/info
+}
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_install_all() {
+ use doc && doinfo doc/info/*.info
+ distutils-r1_python_install_all
+}